//########################
//IllustratorCS3で現在開いているドキュメントを指定されたタイプ
//指定されたバージョンで次々に保存していきます。そして閉じていきます。
//たけうちとおる
//########################

main();

function main(){
	var myAns = mydialog();
	if(myAns['saveType'] == ""){
		alert("AIかPDFかEPSの中から選んでください。");
		return;
	}
	if(myAns['selversion'] == null){
		alert("保存バーションを選んでください。");
		return;
	}
	var folderobj = getfolder();
	if(! folderobj){
		return;
	}
	var folderpath = folderobj.fsName + "/";
	saveFile(folderpath,myAns);
}
//alert(myAns['saveType']);
function mydialog(){
	var myDialog = new Window("dialog", "保存", [0,0,250,200]);
	myDialog.add("statictext",[5,5,240,20],"開いているドキュメントを全て保存します。");
	myDialog.f1 = myDialog.add("panel",[5,25,240,65],"保存形式");
	myDialog.r1 = myDialog.f1.add("radiobutton",[10,5,60,20],"AI");
	myDialog.r2 = myDialog.f1.add("radiobutton",[70,5,120,20],"PDF");
	myDialog.r3 = myDialog.f1.add("radiobutton",[130,5,190,20],"EPS");
	myDialog.f2 = myDialog.add("panel",[5,75,240,125],"保存バージョン");
	myDialog.sel = myDialog.f2.add("dropdownlist",[10,10,150,30],["8","9","10","CS","CS2","CS3","CS4"]);
	//myDialog.ngBtn = myDialog.add("button",[10,150,60,170],"キャンセル", { name:"cancel"});
	myDialog.okBtn = myDialog.add("button",[100,150,150,170],"実行", { name:"ok"});
	myDialog.center();
	myDialog.show();
	//alert("選択された番号は"+myDialog.r1.value+"です");
	var myAns = new Array();
	myAns['selversion'] = myDialog.sel.selection.text;
	if(myDialog.r1.value){
		myAns['saveType']  = "AI";
	}else if(myDialog.r2.value){
		myAns['saveType']  = "PDF";
	}else if(myDialog.r3.value){
		myAns['saveType']  = "EPS";
	}else{
		myAns['saveType']  = "";
	}
	return myAns;
}
function getCompatibillty(myselversion){
		switch (myselversion) {
			case "8":
				var mycompatibility = Compatibility.ILLUSTRATOR8; break;
			case "9":
				var mycompatibility = Compatibility.ILLUSTRATOR9; break;
			case "10":
				var mycompatibility = Compatibility.ILLUSTRATOR10; break;
			case "CS":
				var mycompatibility = Compatibility.ILLUSTRATOR11; break;
			case "CS2":
				var mycompatibility = Compatibility.ILLUSTRATOR12; break;
			case "CS3":
				var mycompatibility = Compatibility.ILLUSTRATOR13; break;
			case "CS4":
				var mycompatibility = Compatibility.ILLUSTRATOR14; break;
		}
		return mycompatibility;
}
function saveFile(folderpath,myAns){
	var mycompatibility = getCompatibillty(myAns['selversion']);
	var docObj = app.documents;
	var docuCount = docObj.length;
	for(var i=0;i<docuCount;i++){
		var filename = docObj[i].name;
		var newfilename = deleteext(filename);
		if(myAns['saveType'] == "AI"){
			var newfilepath = folderpath+newfilename+".ai";
			saveAIFile(docObj[i],newfilepath,mycompatibility);
		}else if(myAns['saveType'] == "PDF"){
			var newfilepath = folderpath+newfilename+".pdf";
			savePDFFile(docObj[i],newfilepath,mycompatibility);
		}else if(myAns['saveType'] == "EPS"){
			var newfilepath = folderpath+newfilename+".eps";
			saveEPSFile(docObj[i],newfilepath,mycompatibility);
		}
	}
	for(i=0;i<docuCount;i++){
		docObj[0].close(SaveOptions.DONOTSAVECHANGES);
	}
}
function saveAIFile(docObj,newfilepath,mycompatibility){
	var fileObj = new File(newfilepath);
	var saveOptions = new IllustratorSaveOptions();
	saveOptions.compatibility = mycompatibility;
	docObj.saveAs(fileObj, saveOptions);
}
function savePDFFile(docObj,newfilepath,mycompatibility){
	var fileObj = new File(newfilepath);
	var saveOptions = new PDFSaveOptions();
	//saveOptions.compatibility = mycompatibility;
	docObj.saveAs(fileObj, saveOptions);
}
function saveEPSFile(docObj,newfilepath,mycompatibility){
	var fileObj = new File(newfilepath);
	var saveOptions = new EPSSaveOptions();
	saveOptions.compatibility = mycompatibility;
	docObj.saveAs(fileObj, saveOptions);
}


//フォルダ選択ダイアログ
function getfolder(){
	var folderobj = Folder.selectDialog("保存フォルダを選択してください");
	return folderobj;
}
//拡張子をトル
function deleteext(filename){
	var flg = false;
	var refilename = "";
	for(i = filename.length-1;i > -1;i--){
		myCha = filename[i];
		if(flg){
			refilename = myCha+refilename;
		}
		if(myCha == "."){
			flg = true;
		}
	}
	if(refilename == ""){
		refilename = filename;
	}
	return refilename;
}